From 150ef830f5dba1fc6752ab5fb00d0b9182a064cc Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?M=C3=A5ns=20Rullg=C3=A5rd?= <mans@mansr.com>
Date: Fri, 9 Jul 2010 23:55:16 +0000
Subject: [PATCH] fate: fail with a sensible error message if reference file is
 missing

Originally committed as revision 24152 to svn://svn.ffmpeg.org/ffmpeg/trunk
---
 tests/fate-run.sh | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/tests/fate-run.sh b/tests/fate-run.sh
index bf628054146..ba5d09d2338 100755
--- a/tests/fate-run.sh
+++ b/tests/fate-run.sh
@@ -24,6 +24,11 @@ oneoff(){
     fi
 }
 
+if ! test -e "$ref"; then
+    echo "reference file '$ref' not found"
+    exit 1
+fi
+
 mkdir -p "$outdir"
 
 eval $target_exec $command > "$outfile" 2>/dev/null || exit
-- 
GitLab